]> git.madduck.net Git - code/molly-guard.git/commitdiff

madduck's git repository

Every one of the projects in this repository is available at the canonical URL git://git.madduck.net/madduck/pub/<projectpath> — see each project's metadata for the exact URL.

All patches and comments are welcome. Please squash your changes to logical commits before using git-format-patch and git-send-email to patches@git.madduck.net. If you'd read over the Git project's submission guidelines and adhered to them, I'd be especially grateful.

SSH access, as well as push access can be individually arranged.

If you use my repositories frequently, consider adding the following snippet to ~/.gitconfig and using the third clone URL listed for each project:

[url "git://git.madduck.net/madduck/"]
  insteadOf = madduck:

write warnings and info messages to stderr
authormartin f. krafft <madduck@madduck.net>
Sat, 19 Apr 2008 13:24:15 +0000 (15:24 +0200)
committermartin f. krafft <madduck@madduck.net>
Sat, 19 Apr 2008 13:24:15 +0000 (15:24 +0200)
run.d/30-ask-hostname
shutdown

index 70b18d9678529f9680f3535393208a08a132fe63..fc8f107a57a594032aae9eeaacfb019a95a524a6 100755 (executable)
@@ -23,7 +23,7 @@ test -t 0 || exit 0
 
 # we've been asked to always protect this host
 if [ ${ALWAYS_QUERY_HOSTNAME:-0} -eq 1 ]; then
-  echo "I: $ME: $MOLLYGUARD_CMD is always molly-guarded on this system."
+  echo "I: $ME: $MOLLYGUARD_CMD is always molly-guarded on this system." >&2
 else
   # only run if we are being called over SSH, that is if the current terminal
   # was created by sshd.
@@ -31,12 +31,12 @@ else
   if ! pgrep -f "^sshd.+${PTS#/dev/}[[:space:]]*$" >/dev/null \
     && [ -z "${SSH_CONNECTION:-}" ]; then
       if [ $PRETEND_SSH -eq 1 ]; then
-        echo "I: $ME: this is not an SSH session, but --pretend-ssh was given..."
+        echo "I: $ME: this is not an SSH session, but --pretend-ssh was given..." >&2
       else
         exit 0
       fi
   else
-    echo "W: $ME: SSH session detected!"
+    echo "W: $ME: SSH session detected!" >&2
   fi
 fi
 
@@ -44,7 +44,7 @@ HOSTNAME="$(hostname --short)"
 
 sigh()
 {
-  echo "Good thing I asked; I won't $MOLLYGUARD_CMD $HOSTNAME ..."
+  echo "Good thing I asked; I won't $MOLLYGUARD_CMD $HOSTNAME ..." >&2
   exit 1
 }
 
index be733b71ac4c0fc771e89642ba82a6b06a7d3605..2e24f7fdfa29a616d569804b50aa130f8df8d5d2 100755 (executable)
--- a/shutdown
+++ b/shutdown
@@ -90,14 +90,14 @@ do_real_cmd()
 }
 
 if [ $DO_NOTHING -eq 1 ]; then
-  echo "I: demo mode; $ME will not do anything due to --molly-guard-do-nothing."
+  echo "I: demo mode; $ME will not do anything due to --molly-guard-do-nothing." >&2
 fi
 
 # pass through certain commands
 case "$CMD $CMDARGS" in
   (*shutdown\ *-c*)
     # allow canceling shutdowns
-    echo "I: executing $CMD $CMDARGS regardless of check results."
+    echo "I: executing $CMD $CMDARGS regardless of check results." >&2
     do_real_cmd
     ;;
 esac
@@ -110,7 +110,7 @@ for script in $(run-parts --test $SCRIPTSDIR); do
   ret=0
   eval $script $SCRIPTARGS || ret=$?
   if [ $ret -ne 0 ]; then
-    echo "W: aborting $CMD due to ${script##*/} exiting with code $ret."
+    echo "W: aborting $CMD due to ${script##*/} exiting with code $ret." >&2
     exit $ret
   fi
 done